#include <print>

import Complex;

// main() Funktion
int main()
{
   // 2 komplexe Zahlen (Objekte) definieren
   Complex Number1, Number2;
   // Objekte initialisieren
   Number1.Init(1.1, 2.2);
   Number2.Init(3.3, 4.4);
   // Objekte ausgeben
   std::print("1. Komplexe Zahl = ");
   Number1.PrintComplex();
   std::print("2. Komplexe Zahl = ");
   Number2.PrintComplex();
   // 2. Objekt zum 1. Objekt addieren
   Number1.AddComplex(Number2);
   // und Ergebnis ausgeben
   std::print("Nach Addition 2. Zahl zur 1. Zahl\n"
              "Neue 1. Zahl = ");
   Number1.PrintComplex();
   // 1. Objekt vom 2. Objekt subtrahieren
   Number2.SubComplex(Number1);
   // und Ergebnis ausgeben
   std::print("Nach Subtraktion der 1. Zahl von der 2. Zahl\n"
				"Neue 2. Zahl = ");
   Number2.PrintComplex();
}
